Bug 676057 - [PATCH] lesspipe.sh regression fix, enhancements
Summary: [PATCH] lesspipe.sh regression fix, enhancements
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: less
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Vitek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-08 18:02 UTC by Ville Skyttä
Modified: 2015-03-04 23:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-15 14:11:59 UTC


Attachments (Terms of Use)
lesspipe.sh improvements/regression fixes (2.21 KB, patch)
2011-02-08 18:02 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2011-02-08 18:02:21 UTC
Created attachment 477663 [details]
lesspipe.sh improvements/regression fixes

lesspipe.sh from less-436-9.fc14.x86_64 no longer displays formatted uncompressed man pages.  Not sure when it broke, I just happened to notice now.  Reproducer:

$ gzip -dc /usr/share/man/man1/less.1.gz > less.1
$ less ./less.1

The attached patch contains a fix for that and a bunch of other improvements, from the commit message in the patch:

| Bring back support for uncompressed man pages, add support for lzma
| and xz compressed man pages, trigger man on more file extensions,
| avoid an unnecessary grep invocation, use xz for decompressing *.lzma.

Comment 1 Vojtech Vitek 2011-02-10 13:12:35 UTC
Thanks for the provided patch, Ville!

> lesspipe.sh improvements/regression fixes
I have another patch for the regression. I won't use it.

> | Bring back support for uncompressed man pages, add support for lzma
> | and xz compressed man pages, trigger man on more file extensions,
> | avoid an unnecessary grep invocation, use xz for decompressing *.lzma.
I will include these improvements.

P.S.: Please, split similar changes into few separate patches next time. And even better would be creating separate bugzillas for each regression fix / improvement. Thanks.

Comment 2 Ville Skyttä 2011-02-10 17:37:55 UTC
Yes, I should have separated the changes, but they got a bit intertwined and I got too lazy to sort them out afterwards.  Sorry about that.

Comment 3 Vojtech Vitek 2011-02-15 14:11:59 UTC
Fixed in less-436-12.fc16 and less-436-12.fc15.

If anything goes wrong with testing the packages, feel free to reopen. Thanks.

Comment 4 Fedora Update System 2011-02-15 14:49:32 UTC
less-436-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/less-436-10.fc14

Comment 5 Fedora Update System 2011-02-15 14:50:38 UTC
less-436-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/less-436-9.fc13

Comment 6 Fedora Update System 2011-02-18 15:05:19 UTC
less-436-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/less-436-12.fc15

Comment 7 Fedora Update System 2011-02-21 07:30:53 UTC
less-436-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-03 02:59:34 UTC
less-436-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-02 22:48:45 UTC
less-436-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.